# Import API v2

## **Introduction**

### **Overview**

The EuroStocks Import API v2 is an updated interface to provide classified ads. Compared to the v1 version of the Import API, we have added a priceInfo array to the response with extensive price information. Based on your requirements you can use the price attributes as you wish. Apart from that the make and model/modelgroup input is not required anymore when making a vehicle list post request, which makes the method more flexible. Please read the 'Import API' documentation first before exploring the v2 documentation.

{% hint style="info" %}
Documentation can be incomplete and/or outdated. In case of any questions, contact the EuroStocks team by sending an email to <api@eurostocks.com>.
{% endhint %}

The API is available at this base URL: <https://services.eurostocks.com>

### Main features

* Get Vehicle List
* Get Vehicle details
* Get Vehicle details by providing manual CO₂
* Get Fallback CO₂ Value

### Prerequisites

Import API access can be granted to suppliers who want to get vehicle information, and it requires a username, password, and API key to access the API.

{% hint style="info" %}
**Limited support for the development process and maintenance:**

Please note that all examples provided in our documentation are considered as guidelines for your development process but EuroStocks for itself is not able to directly assist with any of your preferred programming languages and/or used scripts.
{% endhint %}

### Test Account

A test environment can be provided. Please ask for the test account details, and all the information will be used as mentioned in Prerequisites on the test API URL <https://test-services.eurostocks.com>.

## Working with Import API Data

## Get Mobilede Vehicle List

<mark style="color:green;">`POST`</mark> `https://services.eurostocks.com/api/v2/import/list`

Use this method to search for vehicles, most of the parameters are optional.

#### Headers

| Name                                       | Type   | Description                      |
| ------------------------------------------ | ------ | -------------------------------- |
| UserName<mark style="color:red;">\*</mark> | string | Username of provide API account  |
| Password<mark style="color:red;">\*</mark> | string | Password of provided API account |
| APIKey<mark style="color:red;">\*</mark>   | string | API Key of provided API account  |

#### Request Body

| Name                      | Type    | Description                                                                                                                                                                                                                                                                                                                                                 |
| ------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| make                      | string  | Returns results with provided manufacturer KEY                                                                                                                                                                                                                                                                                                              |
| model                     | string  | <p>Returns results with provided model KEY<br><br><code>Note : Either model or modelGroup is required. Both are not allowed.</code><br></p>                                                                                                                                                                                                                 |
| modelGroup                | string  | <p>Returns results with provided modelGroup KEY<br><br><code>Note : Either model or modelGroup is required. Both are not allowed.</code></p>                                                                                                                                                                                                                |
| pageNumber                | integer | By default 20 results are returned. Use pageNumber to view next set of search results.                                                                                                                                                                                                                                                                      |
| sortOn                    | string  | <p>The name of the field to sort. Must be combined with sortOrder<br><br>Possible values: price, creationTime, firstRegistrationDate, mileage, power</p>                                                                                                                                                                                                    |
| sortOrder                 | string  | Possible Values are ASCENDING, DESCENDING                                                                                                                                                                                                                                                                                                                   |
| fuelType                  | string  | Returns results with provided fueltype.                                                                                                                                                                                                                                                                                                                     |
| yearFrom                  | integer | Returned results with yearFrom provided year                                                                                                                                                                                                                                                                                                                |
| yearTo                    | integer | Returned results with yearTo provided year                                                                                                                                                                                                                                                                                                                  |
| priceFrom                 | string  | Returned results with priceFrom provided value                                                                                                                                                                                                                                                                                                              |
| priceTo                   | integer | Returned results with priceTo provided value                                                                                                                                                                                                                                                                                                                |
| transmission              | string  | Returns results with provided trasmission.                                                                                                                                                                                                                                                                                                                  |
| mileageMin                | integer | Returned results with mileageMin provided value                                                                                                                                                                                                                                                                                                             |
| mileageMax                | integer | Returned results with mileageMax provided value                                                                                                                                                                                                                                                                                                             |
| category                  | string  | Returns results with provided category.                                                                                                                                                                                                                                                                                                                     |
| powerMin                  | number  | Returned results with powerMin provided value                                                                                                                                                                                                                                                                                                               |
| powerMax                  | number  | Returned results with powerMax provided value                                                                                                                                                                                                                                                                                                               |
| vatable                   | boolean | Returned results with vatable True or False                                                                                                                                                                                                                                                                                                                 |
| numSeatsMin               | integer | Returned results with numSeatsMin provided value                                                                                                                                                                                                                                                                                                            |
| numSeatsMax               | integer | Returned results with numSeatsMax provided value                                                                                                                                                                                                                                                                                                            |
| doorCount                 | string  | Returned results with doorCount provided value                                                                                                                                                                                                                                                                                                              |
| exteriorColor             | string  | [Possible values](#exterior-color)                                                                                                                                                                                                                                                                                                                          |
| climatisation             | string  | [Possible values](#get-a-vehicle-climatisations)                                                                                                                                                                                                                                                                                                            |
| trailerCouplingType       | string  | [Possible values](#trailercouplingtype)                                                                                                                                                                                                                                                                                                                     |
| interiorType              | string  | [Possible values](#get-a-vehicle-interiortypes)                                                                                                                                                                                                                                                                                                             |
| parkingAssistant          | array   | [Possible values](#parking-assistance)                                                                                                                                                                                                                                                                                                                      |
| speedControl              | string  | [Possible values](#speedcontrol)                                                                                                                                                                                                                                                                                                                            |
| headlightType             | string  | [Possible values](#headlighttype)                                                                                                                                                                                                                                                                                                                           |
| languageIsoCode           | string  | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl).                                                                                                                                                                                                                                             |
| numberOfPreviousOwnersMin | string  | Minimum number of previous owners                                                                                                                                                                                                                                                                                                                           |
| numberOfPreviousOwnersMax | string  | Maximum number of previous owners                                                                                                                                                                                                                                                                                                                           |
| isAccidentDamaged         | Boolean | True/False                                                                                                                                                                                                                                                                                                                                                  |
| customerId                | string  | Customer Id - Search for vehicles of specific sellers defined by customer ID.                                                                                                                                                                                                                                                                               |
| radio                     | string  | Example search for vehicles in Germany with DAB. [Possible Values](#radio-1)                                                                                                                                                                                                                                                                                |
| classification            | string  | Classification is used to define the make/model or make/modelgroup combination for cars. It is also possible to use this parameter to specify a certain vehicle class. The definition of a make is possible for all vehicles with this parameter. For vehicle classes other than Car, please use "modelDescription" instead of "classification" and "model" |
| modelDescription          | string  | Search for vehicles with "right hand drive" in model description                                                                                                                                                                                                                                                                                            |
| drivingCab                | string  | [Possible values](#drivingcab)                                                                                                                                                                                                                                                                                                                              |
| heightType                | string  | [Possible values](#heighttype)                                                                                                                                                                                                                                                                                                                              |
| lengthType                | string  | [Possible values](#lengthtype)                                                                                                                                                                                                                                                                                                                              |
| driveType                 | string  | [Possible values](#drivetype)                                                                                                                                                                                                                                                                                                                               |
| wheelBase                 | string  | [Possible values](#wheelbase)                                                                                                                                                                                                                                                                                                                               |

**Request Model With All Filters**

```json
POST /api/v2/import/list/
HOST: services.eurostocks.com

{
  "make": "string",
  "model": "string",
  "modelGroup": "string",
  "pageNumber": 0,
  "fuelType": "string",
  "yearFrom": 0,
  "yearTo": 0,
  "priceFrom": 0,
  "priceTo": 0,
  "transmission": "string",
  "mileageMin": 0,
  "mileageMax": 0,
  "category": "string",
  "powerMin": 0,
  "powerMax": 0,
  "vatable": true,
  "numSeatsMin": 0,
  "numSeatsMax": 0,
  "doorCount": "string",
  "exteriorColor": "string",
  "climatisation": "string",
  "trailerCouplingType": "string",
  "interiorType": "string",
  "parkingAssistant": "string",
  "speedControl": "string",
  "headlightType": "string",
  "feature": "string",
  "sortOn": "string",
  "SortOrder": "string",
  "languageIsoCode": "string",
  "numberOfPreviousOwnersMin": 0,
  "numberOfPreviousOwnersMax": 0,
  "isAccidentDamaged": true,
  "customerId": "string",
  "radio": "string",
  "classification": "string",
  "modelDescription": "string",
  "drivingCab": "string",
  "heightType": "string",
  "lengthType": "string",
  "driveType": "string",
  "wheelBase": "string"
}
```

**Response Model**

```json
HTTP/1.1 200 OK

{
  "vehicles": {
    "totalResults": 0,
    "totalPages": 0,
    "vehicle": [
      {
        "vehicleId": 0,
        "make": "string",
        "model": "string",
        "category": "string",
        "condition": "string",
        "firstRegistrationDate": "string",
        "modelDescription": "string",
        "vehicleUrl": "string",
        "fuelType": "string",
        "gearBox": "string",
        "accidentDamaged": "string",
        "damageUnrepaired": "string",
        "roadWorthy": "string",
        "mileage": 0,
        "power": 0,
        "numberOfPreviousOwners": 0,
        "customerId": 0,
        "exteriorColor": "string",
        "zipCode": "string",
        "countryCode": "string",
        "parkingAssistant": [
          "string"
        ],
        "radio": [
          "string"
        ],
        "priceInfo": {
          "PriceMobiledeBruto": 0,
          "PriceMobiledeNetto": 0,
          "PriceMobiledeBrutoNlVat": 0,
          "IsVatable": "string",
          "VatRateMobilede": 0,
          "VatRateNl": 0,
          "VatMobilede": 0,
          "VatNl": 0,
          "ImportCosts": 0,
          "ImportMarginFixed": "string",
          "ImportMarginPercentage": 0,
          "ImportMargin": 0,
          "ImportMarginNlVat": 0,
          "TransportCosts": 0,
          "RestBpmCo2": 0,
          "PriceNlWithVatMobilede": 0,
          "PriceNlWithVatNl": 0,
          "FallbackCO2emission": 0,
          "FallBackRestBPM": 0,
          "FallbackPriceNlWithVatMobilede": 0,
          "FallbackPriceNlWithVatNl": 0,
          "ManualCO2emission": 0,
          "ManualRestBPM": 0,
          "ManualPriceNlWithVatMobilede": 0,
          "ManualPriceNlWithVatNl": 0
        },
        "images": [
          {
            "size": "string",
            "url": "string"
          }
        ]
      }
    ]
  }
}
```

**Sample Success Request**

```json
POST /api/v2/import/list/
HOST: services.eurostocks.com

{
    "make": "BMW",
    "model": "116",
    "pageNumber": 1,
    "fuelType": "PETROL",
    "vatable": false
}

```

**Sample Success Response**

```json
HTTP/1.1 200 OK
						
{
    "vehicles": {
      "totalResults": 322,
      "totalPages": 17,
      "vehicle": [
        {
        "vehicleId": 431200558,
        "make": "BMW",
        "model": "116",
        "category": "Limousine",
        "condition": "Used",
        "firstRegistrationDate": "2014-03",
        "modelDescription": "116i Sportlenkrad Sitzheizung PDC 2-Hand",
        "vehicleUrl": "https://test-services.eurostocks.com/api/v1/vehicle/detail/431200558",
        "fuelType": "Petrol",
        "gearBox": "Manual gearbox",
        "accidentDamaged": "",
        "damageUnrepaired": "No",
        "roadWorthy": "Yes",
        "mileage": 111000,
        "power": 100,
        "numberOfPreviousOwners": 2,
        "customerId": 11826020,
        "exteriorColor": "Black",
        "zipCode": "87***",
        "countryCode": "DE",
        "parkingAssistant": [
          "REAR_SENSORS"
        ],
        "radio": [
          "Radio / Tuner"
        ],
        "priceInfo": {
          "PriceMobiledeBruto": 6490,
          "PriceMobiledeNetto": null,
          "PriceMobiledeBrutoNlVat": 6490,
          "IsVatable": "No",
          "VatRateMobilede": null,
          "VatRateNl": 0.21,
          "VatMobilede": null,
          "VatNl": null,
          "ImportCosts": null,
          "ImportMarginFixed": null,
          "ImportMarginPercentage": null,
          "ImportMargin": null,
          "ImportMarginNlVat": null,
          "TransportCosts": null,
          "RestBpmCo2": null,
          "PriceNlWithVatMobilede": null,
          "PriceNlWithVatNl": null,
          "FallbackCO2emission": 143,
          "FallBackRestBPM": 895.85,
          "FallbackPriceNlWithVatMobilede": 7385.85,
          "FallbackPriceNlWithVatNl": 7385.85,
          "ManualCO2emission": null,
          "ManualRestBPM": null,
          "ManualPriceNlWithVatMobilede": null,
          "ManualPriceNlWithVatNl": null
        },
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b6/b60936b0-0d38-42c1-8a3c-60c73ae54cd3?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "vehicleId": 428271486,
        "make": "BMW",
        "model": "116",
        "category": "Limousine",
        "condition": "Used",
        "firstRegistrationDate": "2013-04",
        "modelDescription": "116 i 2.Hand*Bi-Xenon*Klima*Einparkhilfe",
        "vehicleUrl": "https://test-services.eurostocks.com/api/v1/vehicle/detail/428271486",
        "fuelType": "Petrol",
        "gearBox": "Manual gearbox",
        "accidentDamaged": "",
        "damageUnrepaired": "No",
        "roadWorthy": "",
        "mileage": 100000,
        "power": 100,
        "numberOfPreviousOwners": 2,
        "customerId": 16674804,
        "exteriorColor": "White",
        "zipCode": "45***",
        "countryCode": "DE",
        "parkingAssistant": [
          "REAR_SENSORS"
        ],
        "radio": [
          "Radio / Tuner"
        ],
        "priceInfo": {
          "PriceMobiledeBruto": 6998,
          "PriceMobiledeNetto": null,
          "PriceMobiledeBrutoNlVat": 6998,
          "IsVatable": "No",
          "VatRateMobilede": null,
          "VatRateNl": 0.21,
          "VatMobilede": null,
          "VatNl": null,
          "ImportCosts": null,
          "ImportMarginFixed": null,
          "ImportMarginPercentage": null,
          "ImportMargin": null,
          "ImportMarginNlVat": null,
          "TransportCosts": null,
          "RestBpmCo2": 543.38,
          "PriceNlWithVatMobilede": 7541.38,
          "PriceNlWithVatNl": 7541.38,
          "FallbackCO2emission": null,
          "FallBackRestBPM": null,
          "FallbackPriceNlWithVatMobilede": null,
          "FallbackPriceNlWithVatNl": null,
          "ManualCO2emission": null,
          "ManualRestBPM": null,
          "ManualPriceNlWithVatMobilede": null,
          "ManualPriceNlWithVatNl": null
        },
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/9f/9f314bd8-1aec-41b8-b7db-9b3b6ea684b3?rule=mo-1600.jpg"
          }
        ]
      }
      ]
   }
}
```

## Get a vehicle makes

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/makes`

Get detailed information about the vehicles makes.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/makes
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "ABARTH",
    "description": "Abarth"
  },
  {
    "key": "AC",
    "description": "AC"
  },
  {
    "key": "ACURA",
    "description": "Acura"
  },
  {
    "key": "AIXAM",
    "description": "Aixam"
  },
  .....
]
```

## Get a vehicle models

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/models/{makeKey}`

#### Path Parameters

| Name                                      | Type   | Description                |
| ----------------------------------------- | ------ | -------------------------- |
| makeKey<mark style="color:red;">\*</mark> | String | Make key to get its models |

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

**Sample Success Request**

```json
GET /api/v2/import/car/import/models/AUDI
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
						
[
  {
    "modelKey": "100",
    "modelDescription": "100"
  },
  {
    "modelKey": "200",
    "modelDescription": "200"
  },
  {
    "modelKey": "80",
    "modelDescription": "80"
  },
  {
    "modelKey": "90",
    "modelDescription": "90"
  },
  {
    "modelGroupKey": "TT.",
    "modelGroupDescription": "TT",
    "Models": [
      {
        "modelKey": "TT",
        "modelDescription": "TT"
      },
      {
        "modelKey": "TT RS",
        "modelDescription": "TT RS"
      },
      {
        "modelKey": "TTS",
        "modelDescription": "TTS"
      }
    ]
  },
  {
```

## Get a vehicle models (languageIsoCode)&#x20;

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/models/{makeKey}/{langlanguageIsoCode}`

#### Request Parameters

| Name                                              | Type   | Description                                                                                                     |
| ------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| makeKey<mark style="color:red;">\*</mark>         | String | Make key to get its models                                                                                      |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl). |

#### Request Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

**Sample Success Request**

```json
GET /api/v2/import/car/import/models/AUDI/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
						
[
  {
    "modelKey": "A1",
    "modelDescription": "A1",
    "modelDisplayName": "A1"
  },
  {
    "modelKey": "A3",
    "modelDescription": "A3",
    "modelDisplayName": "A3"
  },
  {
    "modelKey": "A4",
    "modelDescription": "A4",
    "modelDisplayName": "A4"
  },
  {
    "modelKey": "A4 Allroad",
    "modelDescription": "A4 Allroad",
    "modelDisplayName": "A4 Allroad"
  },
  {
    "modelKey": "A5",
    "modelDescription": "A5",
    "modelDisplayName": "A5"
  },
  {
    "modelKey": "A6",
    "modelDescription": "A6",
    "modelDisplayName": "A6"
  },
  {
    "modelKey": "A6 Allroad",
    "modelDescription": "A6 Allroad",
    "modelDisplayName": "A6 Allroad"
  },
  {
    "modelKey": "A6 e-tron",
    "modelDescription": "A6 e-tron",
    "modelDisplayName": "A6 e-tron"
  },
  {
    "modelKey": "A7",
    "modelDescription": "A7",
    "modelDisplayName": "A7"
  },
  {
    "modelKey": "A8",
    "modelDescription": "A8",
    "modelDisplayName": "A8"
  },
  {
    "modelKey": "e-tron",
    "modelDescription": "e-tron",
    "modelDisplayName": "e-tron"
  },
  {
    "modelKey": "Q2",
    "modelDescription": "Q2",
    "modelDisplayName": "Q2"
  },
  {
    "modelKey": "Q3",
    "modelDescription": "Q3",
    "modelDisplayName": "Q3"
  },
  {
    "modelKey": "Q4",
    "modelDescription": "Q4",
    "modelDisplayName": "Q4"
  },
  {
    "modelKey": "Q4 e-tron",
    "modelDescription": "Q4 e-tron",
    "modelDisplayName": "Q4 e-tron"
  },
  {
    "modelKey": "Q5",
    "modelDescription": "Q5",
    "modelDisplayName": "Q5"
  },
  {
    "modelKey": "Q6 e-tron",
    "modelDescription": "Q6 e-tron",
    "modelDisplayName": "Q6 e-tron"
  },
  {
    "modelKey": "Q7",
    "modelDescription": "Q7",
    "modelDisplayName": "Q7"
  },
  {
    "modelKey": "Q8",
    "modelDescription": "Q8",
    "modelDisplayName": "Q8"
  },
  {
    "modelKey": "Q8 e-tron",
    "modelDescription": "Q8 e-tron",
    "modelDisplayName": "Q8 e-tron"
  },
  {
    "modelKey": "R8",
    "modelDescription": "R8",
    "modelDisplayName": "R8"
  },
  {
    "modelKey": "RS e-tron GT",
    "modelDescription": "RS e-tron GT",
    "modelDisplayName": "RS e-tron GT"
  },
  {
    "modelKey": "RS3",
    "modelDescription": "RS3",
    "modelDisplayName": "RS3"
  },
  {
    "modelKey": "RS4",
    "modelDescription": "RS4",
    "modelDisplayName": "RS4"
  },
  {
    "modelKey": "RS5",
    "modelDescription": "RS5",
    "modelDisplayName": "RS5"
  },
  {
    "modelKey": "RS6",
    "modelDescription": "RS6",
    "modelDisplayName": "RS6"
  },
  {
    "modelKey": "RS7",
    "modelDescription": "RS7",
    "modelDisplayName": "RS7"
  },
  {
    "modelKey": "RSQ3",
    "modelDescription": "RSQ3",
    "modelDisplayName": "RSQ3"
  },
  {
    "modelKey": "RSQ8",
    "modelDescription": "RSQ8",
    "modelDisplayName": "RSQ8"
  },
  {
    "modelKey": "S1",
    "modelDescription": "S1",
    "modelDisplayName": "S1"
  },
  {
    "modelKey": "S2",
    "modelDescription": "S2",
    "modelDisplayName": "S2"
  },
  {
    "modelKey": "S3",
    "modelDescription": "S3",
    "modelDisplayName": "S3"
  },
  {
    "modelKey": "S4",
    "modelDescription": "S4",
    "modelDisplayName": "S4"
  },
  {
    "modelKey": "S5",
    "modelDescription": "S5",
    "modelDisplayName": "S5"
  },
  {
    "modelKey": "S6",
    "modelDescription": "S6",
    "modelDisplayName": "S6"
  },
  {
    "modelKey": "S6 e-tron",
    "modelDescription": "S6 e-tron",
    "modelDisplayName": "S6 e-tron"
  },
  {
    "modelKey": "S7",
    "modelDescription": "S7",
    "modelDisplayName": "S7"
  },
  {
    "modelKey": "S8",
    "modelDescription": "S8",
    "modelDisplayName": "S8"
  },
  {
    "modelKey": "SQ2",
    "modelDescription": "SQ2",
    "modelDisplayName": "SQ2"
  },
  {
    "modelKey": "SQ5",
    "modelDescription": "SQ5",
    "modelDisplayName": "SQ5"
  },
  {
    "modelKey": "SQ6 e-tron",
    "modelDescription": "SQ6 e-tron",
    "modelDisplayName": "SQ6 e-tron"
  },
  {
    "modelKey": "SQ7",
    "modelDescription": "SQ7",
    "modelDisplayName": "SQ7"
  },
  {
    "modelKey": "SQ8",
    "modelDescription": "SQ8",
    "modelDisplayName": "SQ8"
  },
  {
    "modelKey": "SQ8 e-tron",
    "modelDescription": "SQ8 e-tron",
    "modelDisplayName": "SQ8 e-tron"
  },
  {
    "modelGroupKey": "TT.",
    "modelGroupDescription": "TT",
    "modelGroupDisplayName": "TT",
    "Models": [
      {
        "modelKey": "TT",
        "modelDescription": "TT",
        "modelDisplayName": "TT"
      },
      {
        "modelKey": "TT RS",
        "modelDescription": "TT RS",
        "modelDisplayName": "TT RS"
      },
      {
        "modelKey": "TTS",
        "modelDescription": "TTS",
        "modelDisplayName": "TTS"
      }
    ]
  }
]
```

## Get a vehicle Fuel types

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/fueltypes/{languageIsoCode}`

Get detailed information about the vehicles fuel types.

#### Request Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Parameters

| Name                                              | Type   | Description                                                                                                     |
| ------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl). |

**Sample Success Request**

```json
GET /api/v2/import/car/import/fueltypes/{languageIsoCode}
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
oo// HTTP/1.1 200 OK
                                
[
  {
    "key": "PETROL",
    "description": "Benzine"
  },
  {
    "key": "DIESEL",
    "description": "Diesel"
  },
  {
    "key": "ELECTRICITY",
    "description": "Electricity"
  },
  {
    "key": "HYBRID",
    "description": "Hybrid"
  },
  .....
]
```

## Get a vehicle years

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/years`

Get detailed information about the vehicle available years.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/years
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
// HTTP/1.1 200 OK
"2013-2020"
```

## Get a vehicle transmissions

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com /api/v2/import/car/import/transmissions/{languageIsoCode}`

Get detailed information about the vehicle transmissions.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

**Sample Success Request**

```json
GET /api/v2/import/car/import/transmissions/en
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "Key": "AUTOMATIC_GEAR",
    "Description": "Automatic transmission"
  },
  {
    "Key": "MANUAL_GEAR",
    "Description": "Manual gearbox"
  },
  {
    "Key": "SEMIAUTOMATIC_GEAR",
    "Description": "Semi-automatic"
  }
]
```

## Get a vehicle categories

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/categories/{languageIsoCode}`

Get detailed information about the vehicle categories.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/categories/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "Key": "Cabrio",
    "Description": "Cabriolet | Roadster"
  },
  {
    "Key": "EstateCar",
    "Description": "Stationwagen"
  },
  {
    "Key": "OffRoad",
    "Description": "SUV | Off-road | Pick-Up"
  },
  {
    "Key": "Limousine",
    "Description": "Sedan"
  },
  ...
]
```

## Get a vehicle climatisations

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com /api/v2/import/car/import/climatisations/{languageIsoCode}`

Get detailed information about the vehicle climatisations.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/climatisations/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Request**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "NO_CLIMATISATION",
    "description": "Geen klimaatregeling"
  },
  {
    "key": "MANUAL_CLIMATISATION",
    "description": "Handmatige airco"
  },
  {
    "key": "AUTOMATIC_CLIMATISATION",
    "description": "Automatische airconditioning"
  },
  {
    "key": "AUTOMATIC_CLIMATISATION_2_ZONES",
    "description": "Automatische airco, 2 zones"
  },
  {
    "key": "AUTOMATIC_CLIMATISATION_3_ZONES",
    "description": "Automatische airco, 3 zones"
  },
  {
    "key": "AUTOMATIC_CLIMATISATION_4_ZONES",
    "description": "Automatische airco, 4 zones"
  }
]
```

## Get a vehicle TrailerCouplingTypes

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com /api/v2/import/car/import/trailerCouplingTypes/{languageIsoCode}`

Get detailed information about the vehicle trailerCouplingTypes.

#### Headers

| Name     | Type   | Description                        |
| -------- | ------ | ---------------------------------- |
| UserName | string | Username which EuroStocks provides |
| Password | string | Password which EuroStocks provides |
| APIKey   | string | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | string | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/trailerCouplingTypes/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "TRAILER_COUPLING_FIX",
    "description": "Vaste trekhaak"
  },
  {
    "key": "TRAILER_COUPLING_SWIVELING",
    "description": "Wegdraaibare trekhaak"
  },
  {
    "key": "TRAILER_COUPLING_DETACHABLE",
    "description": "Afneembare trekhaak"
  }
]
```

## Get a vehicle InteriorTypes

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/interiorTypes/{languageIsoCode}`

Get detailed information about the vehicle interiorTypes

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | string | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | string | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | string | ApiKey which EuroStocks provides   |

#### Request Body

| Name            | Type   | Description                                                                                                    |
| --------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode | string | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

**Sample Success Request**

```json
GET /api/v2/import/car/import/interiorTypes/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "LEATHER",
    "description": "Volledig leer"
  },
  {
    "key": "PARTIAL_LEATHER",
    "description": "Gedeeltelijk leer"
  },
  {
    "key": "FABRIC",
    "description": "Stoffen"
  },
  {
    "key": "VELOUR",
    "description": "Velours"
  },
  ...
]
```

## Get a vehicle parkingAssistants

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/parkingAssistants/{languageIsoCode}`

Get detailed information about the vehicle parkingAssistants.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | string | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | string | assword which EuroStocks provides  |
| APIKey<mark style="color:red;">\*</mark>   | string | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | string | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

**Sample Success Request**

```json
GET /api/v2/import/car/import/parkingAssistants/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "FRONT_SENSORS",
    "description": "Voor"
  },
  {
    "key": "REAR_SENSORS",
    "description": "Achter"
  },
  {
    "key": "REAR_VIEW_CAM",
    "description": "Camera"
  },
  {
    "key": "AUTOMATIC_PARKING",
    "description": "Zelfsturend systeem | Parking Assistent"
  },
  ...
]
```

## Get a vehicle speedControls

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/speedControls/{languageIsoCode}`

Get detailed information about the vehicle speedControls.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | string | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | string | assword which EuroStocks provides  |
| APIKey<mark style="color:red;">\*</mark>   | string | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | string | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/speedControls/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "CRUISE_CONTROL",
    "description": "Cruisecontrol"
  },
  {
    "key": "ADAPTIVE_CRUISE_CONTROL",
    "description": "Adaptieve cruisecontrol"
  }
]
```

## Get a vehicle headlightTypes

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/headlightTypes/{languageIsoCode}`

Get detailed information about the vehicle headlightTypes.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

**Sample Success Request**

```json
GET /api/v2/import/car/import/headlightTypes/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "XENON_HEADLIGHTS",
    "description": "Xenon-koplampen"
  },
  {
    "key": "BI_XENON_HEADLIGHTS",
    "description": "Bi-xenon-koplampen"
  },
  {
    "key": "LED_HEADLIGHTS",
    "description": "LED-koplampen"
  },
  {
    "key": "LASER_HEADLIGHTS",
    "description": "Laser-koplampen"
  }
]
```

## Get a vehicle exteriorColors

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/exteriorColors/{languageIsoCode}`

Get detailed information about the vehicle exteriorColors.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

**Sample Success Request**

```json
GET /api/v2/import/car/import/exteriorColors/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "BLACK",
    "description": "Zwart"
  },
  {
    "key": "GREY",
    "description": "Grijs"
  },
  {
    "key": "BEIGE",
    "description": "Beige"
  },
  {
    "key": "BROWN",
    "description": "Bruin"
  },
  ...
]
```

## Get a vehicle doorCounts

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/car/import/doorCounts/{languageIsoCode}`

Get detailed information about the vehicle doorCounts.

#### Headers

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| UserName<mark style="color:red;">\*</mark> | String | Username which EuroStocks provides |
| Password<mark style="color:red;">\*</mark> | String | Password which EuroStocks provides |
| APIKey<mark style="color:red;">\*</mark>   | String | ApiKey which EuroStocks provides   |

#### Request Body

| Name                                              | Type   | Description                                                                                                    |
| ------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------- |
| languageIsoCode<mark style="color:red;">\*</mark> | String | Provide language iso code to get details in either english or dutch : To get English(en) and To get Dutch (nl) |

**Sample Success Request**

```json
GET /api/v2/import/car/import/doorCounts/nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**

```json
HTTP/1.1 200 OK
                                
[
  {
    "key": "TWO_OR_THREE",
    "description": "2/3"
  },
  {
    "key": "FOUR_OR_FIVE",
    "description": "4/5"
  },
  {
    "key": "SIX_OR_SEVEN",
    "description": "6/7"
  }
]
```

## Get a vehicle details

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/v2/import/detail/{vehicleId}`

#### Request Headers

| Name                                       | Type   | Description                      |
| ------------------------------------------ | ------ | -------------------------------- |
| UserName<mark style="color:red;">\*</mark> | string | Username of provide API account  |
| Password<mark style="color:red;">\*</mark> | string | Password of provided API account |
| APIKey<mark style="color:red;">\*</mark>   | string | API Key of provided API account  |

#### Request Parameters&#x20;

| Name            | Type   | Description                                                                                                                                                                                                                    |
| --------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| vehicleId       | Number | Vehicle Id                                                                                                                                                                                                                     |
| languageIsoCode | String | <p>Provide language iso code to get details in english, geman and, dutch : To get English(en), To get German (de), and To get Dutch (nl)                                      </p><p>Note: By default en will be displayed</p> |

**Sample Success Request**

{% code fullWidth="false" %}

```json
GET /api/v2/import/detail/427579963
HOST: services.eurostocks.com
Content-type: "application/json"
```

{% endcode %}

**Sample Success Response**&#x20;

{% code fullWidth="false" %}

```json
HTTP/1.1 200 OK

{
  "vehicle": {
    "vehicleId": 427579963,
    "make": "BMW",
    "model": "316",
    "category": "Saloon",
    "condition": "Used",
    "firstRegistrationDate": "2013-01",
    "modelDescription": "316i Modern Line",
    "fuelType": "Petrol",
    "gearBox": "Manual gearbox",
    "accidentDamaged": "",
    "damageUnrepaired": "No",
    "roadworthy": "",
    "mileage": 100500,
    "power": 100,
    "exteriorColor": "Silver",
    "zipCode": "91***",
    "countryCode": "DE",
    "detailPageUrl": "https://suchen.mobile.de/auto-inserat/bmw-316i-modern-line/427579963.html?source=api",
    "sellerHomePage": "https://home.mobile.de/home/redirect.html?customerId=19927881",
    "parkingAssistant": [],
    "radio": [
      "Radio / Tuner"
    ],
    "priceInfo": {
      "PriceMobiledeBruto": 6900,
      "PriceMobiledeNetto": null,
      "PriceMobiledeBrutoNlVat": 6900,
      "IsVatable": "No",
      "VatRateMobilede": null,
      "VatRateNl": 0.21,
      "VatMobilede": null,
      "VatNl": null,
      "ImportCosts": null,
      "ImportMarginFixed": null,
      "ImportMarginPercentage": null,
      "ImportMargin": null,
      "ImportMarginNlVat": null,
      "TransportCosts": null,
      "RestBpmCo2": null,
      "PriceNlWithVatMobilede": null,
      "PriceNlWithVatNl": null,
      "FallbackCO2emission": 120,
      "FallBackRestBPM": 334.69,
      "FallbackPriceNlWithVatMobilede": 7234.69,
      "FallbackPriceNlWithVatNl": 7234.69,
      "ManualCO2emission": null,
      "ManualRestBPM": null,
      "ManualPriceNlWithVatMobilede": null,
      "ManualPriceNlWithVatNl": null
    },
    "images": [
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-1600.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-1600.jpg"
          }
        ]
      }
    ],
    "features": {
      "centralDoorLock": "Yes",
      "rangeExtender": "",
      "laneDepartureWarning": "",
      "wifiHotSpot": "",
      "allSeasonTires": "",
      "energyClass": "",
      "keyLessEntry": "",
      "roofRails": "",
      "metallic": "Yes",
      "distanceWarningSystem": "",
      "airco": "Automatic air conditioning",
      "speedControl": "",
      "alarm": "",
      "sportPackage": "",
      "steelWheels": "",
      "usageType": "",
      "alloyWheels": "Yes",
      "headUpDisplay": "",
      "dimmingInteriorMirror": "",
      "bendingLightsType": "",
      "nightVision": "",
      "collisionAvoidance": "",
      "e10Enabled": "",
      "emissionClass": "Euro5",
      "esp": "Yes",
      "sportSeats": "",
      "multiFunctionalSteeringwheel": "Yes",
      "nonSmokerVehicle": "",
      "hillStartAssist": "Yes",
      "electricExteriorMirrors": "Yes",
      "battery": "",
      "bioDieselSuitable": "",
      "airSuspension": "",
      "fourWheelDrive": "",
      "performanceHandlingSystem": "",
      "appleCarplay": "",
      "navigationSystem": "",
      "panoramicGlassRoof": "",
      "bluetooth": "Yes",
      "vegetableOilFuelSuitable": "",
      "electricHeatedSeats": "Yes",
      "trafficSignRecognition": "",
      "smokersPackage": "",
      "blindSpotDetection": "",
      "breakdownService": "",
      "exteriorColor": "",
      "taxi": "",
      "winterPackage": "",
      "lumbarSupport": "",
      "foldFlatPassengerSeat": "",
      "startStopSysteem": "Yes",
      "skiBag": "",
      "cdPlayer": "Yes",
      "handsFreePhoneSystem": "",
      "electricBackseatAdjustment": "",
      "centerArmRest": "Yes",
      "interiorColor": "",
      "disabledAccessible": "",
      "speedLimiter": "Yes",
      "doorCount": "",
      "headlightType": "",
      "newHuAu": "",
      "androidAuto": "",
      "trailerCouplingType": "",
      "isofix": "Yes",
      "ambientLighting": "",
      "integratedMusicStreaming": "",
      "highBeamAssist": "",
      "onboardComputer": "Yes",
      "massageSeats": "",
      "tv": "",
      "frontFogLights": "Yes",
      "abs": "Yes",
      "headlightWasherSystem": "",
      "auxiliaryHeating": "",
      "daytimeRunningLamps": "Daytime running lights",
      "electricTailgate": "",
      "powerAssistedSteering": "Yes",
      "glareFreeHighBeam": "",
      "cargoBarrier": "",
      "electricHeatedRearSeats": "",
      "leatherSteeringWheel": "Yes",
      "summerTires": "",
      "cdMultichanger": "",
      "slidingDoorType": "",
      "usb": "Yes",
      "soundSystem": "",
      "voiceControl": "",
      "digitalCockpit": "",
      "lightSensor": "Yes",
      "tractionControlSystem": "Yes",
      "paddleShifters": "",
      "wirelessCharging": "",
      "emissionSticker": "Green",
      "immobilizer": "",
      "heatedWindshield": "",
      "airbags": "Front, side and other Airbags",
      "emergencyCallSystem": "Yes",
      "electricAdjustableSeats": "",
      "winterTires": "",
      "touchScreen": "",
      "ventilatedSeats": "",
      "particulateFilterDiesel": "",
      "hybridPlugin": "",
      "tirePressureMonitoring": "Yes",
      "automaticRainSensor": "Yes",
      "interiorType": "Fabric",
      "fullServiceHistory": "",
      "electricWindows": "Yes",
      "sunroof": "",
      "fatigueWarningSystem": "",
      "heatedSteeringWheel": "",
      "warranty": ""
    },
    "attributes": {
      "seats": "5",
      "numberOfPreviousOwners": "0",
      "constructionDate": "",
      "constructionYear": "",
      "consumptionOuter": "",
      "consumptionCombined": "",
      "consumptionInner": "",
      "batteryCapacity": "",
      "chassisNumber": "",
      "cubicCapacity": "",
      "co2Emission": "",
      "co2EmissionWltp": "",
      "co2EmissionWltpWeighted": "",
      "manufacturerColorName": "",
      "generalInspection": "",
      "exhaustInspection": "",
      "modelCode": "",
      "firstModelsProductionDate": "",
      "trimline": "",
      "description": "T 01704932926 -  - Hoher Ölverbrauch, verkauf ausschließlich nur an Händler oder Gewerbetreibende.",
      "enrichedDescription": "T 01704932926\\\\\\\\Hoher Ölverbrauch, verkauf ausschließlich nur an Händler oder Gewerbetreibende."
    },
    "priceRating": {
      "Label": "VERY_GOOD_PRICE",
      "LabelRanges": [
        {
          "Label": "VERY_GOOD_PRICE",
          "From": "6400",
          "To": "8400"
        },
        {
          "Label": "GOOD_PRICE",
          "From": "8400",
          "To": "9000"
        },
        {
          "Label": "REASONABLE_PRICE",
          "From": "9000",
          "To": "10000"
        },
        {
          "Label": "INCREASED_PRICE",
          "From": "10000",
          "To": "10800"
        },
        {
          "Label": "HIGH_PRICE",
          "From": "10800",
          "To": "12000"
        }
      ]
    }
  }
}

   
```

{% endcode %}

## Get a vehicle details by providing manual CO₂

<mark style="color:blue;">`GET`</mark> `https://services.eurostocks.com/api/2/import/detail/{vehicleId/{co2}/{fueltype}`

#### Request Headers

| Name                                       | Type   | Description                      |
| ------------------------------------------ | ------ | -------------------------------- |
| UserName<mark style="color:red;">\*</mark> | string | Username of provide API account  |
| Password<mark style="color:red;">\*</mark> | string | Password of provided API account |
| APIKey<mark style="color:red;">\*</mark>   | string | API Key of provided API account  |

#### Request Parameters&#x20;

| Name            | Type    | Description                                                                                                                                                                                                                    |
| --------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| vehicleId       | Number  | Vehicle Id                                                                                                                                                                                                                     |
| co2             | Decimal | Co2                                                                                                                                                                                                                            |
| fueltype        | String  | Possible values: PETROL, DIESEL, HYBRID, HYBRID\_DIESEL, ELECTRICITY                                                                                                                                                           |
| hybrid\_plugin  | Boolean | <p>Possible values: True/False m<br>Mandatory for HYBRID OR HYBRID\_DIESEL fuel type</p>                                                                                                                                       |
| languageIsoCode | String  | <p>Provide language iso code to get details in english, geman and, dutch : To get English(en), To get German (de), and To get Dutch (nl)                                      </p><p>Note: By default en will be displayed</p> |

**Sample Success Request**

```json
GET /api/v2/import/detail/427579963/101/PETROL?hybrid_plugin=false&languageIsoCode=nl
HOST: services.eurostocks.com
Content-type: "application/json"
```

**Sample Success Response**&#x20;

{% code fullWidth="false" %}

```json
HTTP/1.1 200 OK

{
  "vehicle": {
    "vehicleId": 427579963,
    "make": "BMW",
    "model": "316",
    "category": "Sedan",
    "condition": "Gebruikt",
    "firstRegistrationDate": "2013-01",
    "modelDescription": "316i Modern Line",
    "fuelType": "Benzine",
    "gearBox": "Handgeschakeld",
    "accidentDamaged": "",
    "damageUnrepaired": "Nee",
    "roadworthy": "",
    "mileage": 100500,
    "power": 100,
    "exteriorColor": "Zilveren",
    "zipCode": "91***",
    "countryCode": "DE",
    "detailPageUrl": "https://suchen.mobile.de/auto-inserat/bmw-316i-modern-line/427579963.html?source=api",
    "sellerHomePage": "https://home.mobile.de/home/redirect.html?customerId=19927881",
    "parkingAssistant": [],
    "radio": [
      "Radio / Tuner"
    ],
    "priceInfo": {
      "PriceMobiledeBruto": 6900,
      "PriceMobiledeNetto": null,
      "PriceMobiledeBrutoNlVat": 6900,
      "IsVatable": "Nee",
      "VatRateMobilede": null,
      "VatRateNl": 0.21,
      "VatMobilede": null,
      "VatNl": null,
      "ImportCosts": null,
      "ImportMarginFixed": null,
      "ImportMarginPercentage": null,
      "ImportMargin": null,
      "ImportMarginNlVat": null,
      "TransportCosts": null,
      "RestBpmCo2": null,
      "PriceNlWithVatMobilede": null,
      "PriceNlWithVatNl": null,
      "FallbackCO2emission": 120,
      "FallBackRestBPM": 334.69,
      "FallbackPriceNlWithVatMobilede": 7234.69,
      "FallbackPriceNlWithVatNl": 7234.69,
      "ManualCO2emission": 101,
      "ManualRestBPM": 80.32,
      "ManualPriceNlWithVatMobilede": 6980.32,
      "ManualPriceNlWithVatNl": 6980.32
    },
    "images": [
      {
        "images": [
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-1600.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-240.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-360.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-80.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-640.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-200.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/a9/a9c7e5b0-7b29-431a-881a-efc408566f6e?rule=mo-1024.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-200.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-1600.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-240.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ab/ab3938ed-3e55-44c9-ad8e-8768520adcf8?rule=mo-640.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-640.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-1600.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-360.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-80.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-200.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/ac/ac5423c7-c97b-47ac-a0fb-31bf57937dcb?rule=mo-240.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-640.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-1600.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-1024.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-360.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-200.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/b4/b4069c0c-2eca-477c-96f1-a7274df25b8a?rule=mo-240.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-1600.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-360.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-80.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/49/49e78932-329b-4a7f-9d8e-f6c91905dd1c?rule=mo-240.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-640.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-200.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-80.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-1600.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/93/93a4c2c1-790e-4e74-a2cf-d473adc770a2?rule=mo-1024.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-640.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-360.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-200.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-1024.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-1600.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/fe/fe07ed6e-ba26-4606-8cb2-041d6a58f420?rule=mo-240.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-240.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-640.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-200.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-1600.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-360.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/26/263d4133-6303-461a-9dc4-d25320215f52?rule=mo-1024.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-360.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-200.jpg"
          },
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-1600.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-1024.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-80.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-640.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/61/6179c329-4fe8-4949-ad6e-e5956ae5b278?rule=mo-240.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XXXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-1600.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-80.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-200.jpg"
          },
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-640.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/5e/5e56c4a0-0fe1-4722-b079-0e82288efd92?rule=mo-1024.jpg"
          }
        ]
      },
      {
        "images": [
          {
            "size": "XL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-640.jpg"
          },
          {
            "size": "S",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-200.jpg"
          },
          {
            "size": "ICON",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-80.jpg"
          },
          {
            "size": "L",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-360.jpg"
          },
          {
            "size": "M",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-240.jpg"
          },
          {
            "size": "XXL",
            "url": "https://img.classistatic.de/api/v1/mo-prod/images/c6/c657092f-d68e-413e-ae17-843a5e98f947?rule=mo-1024.jpg"
          },
          {
[...]
